#!/bin/bash

a=/home/bozo/daily-journal.txt

echo "Nom de base       de /home/bozo/daily-journal.txt = `basename $a`"
echo "Nom du répertoire de /home/bozo/daily-journal.txt = `dirname $a`"
echo
echo "Mon répertoire personnel est `basename ~/`."
  # `basename ~` fonctionne aussi.
echo "Le chemin de mon répertoire personnel est `dirname ~/`."
  # `dirname ~` fonctionne aussi.

exit 0
